<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add products</title>
    <link crossorigin="anonymous" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" rel="stylesheet">
    <script crossorigin="anonymous"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script crossorigin="anonymous"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script crossorigin="anonymous"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</head>
<div>
    <nav class="navbar navbar-dark bg-dark">
        <div class="navbar-brand">
            Order <span th:text="${order.id}"/>
            Client <span th:text="${order.clientId}"/>
        </div>
        <a class="btn btn-danger" href="/orders/">Finish</a>
    </nav>
    <div th:if="${#lists.isEmpty(products)}">Create Products First</div>
    <div th:if="not ${#lists.isEmpty(products)}">
        <h2>Products</h2>
        <table class="table">
            <thead class="thead-light">
            <tr>
                <th>Name</th>
                <th>Color</th>
                <th>Price</th>
                <th>Add to Order</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="product : ${products}">
                <td th:text="${product.name}"></td>
                <td th:text="${product.color}"></td>
                <td th:text="${product.price}"></td>
                <td><a class="btn btn-primary" th:href="@{'/orders/addproduct/'+${order.id}+'/'+${product.id}}">Add</a></td>
            </tr>
            </tbody>
        </table>
    </div>
    <div th:if="not ${#lists.isEmpty(order.products)}">
        <h2>Products added to this Order</h2>
        <table class="table">
            <thead class="thead-light">
            <tr>
                <th>Name</th>
                <th>Color</th>
                <th>Price</th>
<!--                <th>Add to Order</th>-->
            </tr>
            </thead>
            <tbody>
            <tr th:each="product : ${order.products}">
                <td th:text="${product.name}"></td>
                <td th:text="${product.color}"></td>
                <td th:text="${product.price}"></td>
<!--                <td><a class="button" th:href="@{'/orders/addproduct/'+${order.id}+'/'+${product.id}}">Add</a></td>-->
            </tr>
            </tbody>
        </table>
    </div>

    </body>
</html>
